
#define POSTFX_VSH_1_TEX \
  struct VsOutput \
  { \
    float4 pos: POSITION; \
    float2 tc : TEXCOORD0; \
  }; \
  \
  float4 texsz : register(c16); \
  \
  VsOutput vsh(float2 pos: POSITION) \
  { \
    VsOutput O; \
    O.pos=float4(pos, 1, 1); \
    O.tc=pos.xy*texsz.xy+texsz.zw; \
    return O; \
  }
